Bug 571207 - 2.6.32.9-67.fc12.x86_64 broke my audio
Summary: 2.6.32.9-67.fc12.x86_64 broke my audio
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-07 15:44 UTC by Neal Becker
Modified: 2010-12-03 21:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 21:53:34 UTC
Type: ---


Attachments (Terms of Use)

Description Neal Becker 2010-03-07 15:44:31 UTC
Description of problem:

Reboot to 2.6.31.12-174.2.22 and audio is back

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 bobpoljakov 2010-03-07 17:08:07 UTC
Same here. Latest kernel upgrade broke pulseaudio.

Comment 2 Nicolas Chauvet (kwizart) 2010-03-11 19:43:23 UTC
Same for me:
output of (updated) alsa-info.sh 
http://www.alsa-project.org/db/?f=70890afd0608edfc08b2f2137fac3feaddeda5c7

Comment 5 Nicolas Chauvet (kwizart) 2010-03-12 23:16:39 UTC
that was strange, as sound went back once alsa-plugin-pulseaudio was removed.

Comment 6 biAji 2010-03-15 14:33:30 UTC
http://www.alsa-project.org/db/?f=d45a265c6f97b7d46e9c7c2d2a99cb53b0678a38

same here. And kernel-2.6.32.9-70.fc12.x86_64 do not help.

Comment 7 bobpoljakov 2010-03-15 15:32:36 UTC
I have found the solution for my problem. I tried 'alsamixer -c0', there's a slider called "speaker" which is muted. I know I had all sliders maxed before upgrade, and I don't remember the name of all controls, so maybe update muted that control, or introduced a new control, I don't know, but unmuting that slider solved my problem

Comment 8 Neal Becker 2010-03-15 20:44:27 UTC
No good here.  pavucontrol (as well as alsamixer) doesn't show anything muted.

OTOH, I do see that pavucontrol running on 2.6.32 does show some more 'profile' choice under 'configuration' than 2.6.31.  Normally, it is set to 'Analog Stereo Duplex', and works.  Under 2.6.32, there are some additional choices.  There is also 'internal audio digital stereo (IEC958)'.  I tried this, but none of the choices under 2.6.32 produce any output from my internal speakers.

Comment 9 biAji 2010-03-16 01:56:29 UTC
(In reply to comment #7)
> I have found the solution for my problem. I tried 'alsamixer -c0', there's a
> slider called "speaker" which is muted. I know I had all sliders maxed before
> upgrade, and I don't remember the name of all controls, so maybe update muted
> that control, or introduced a new control, I don't know, but unmuting that
> slider solved my problem    

I tried this but no luck.  

And in kernel 2.6.31.12-174.2.22, this slide is set to mute too.

Comment 10 Neal Becker 2010-03-18 10:33:55 UTC
I found a workaround.  I removed ~/.pulse.  Then logged in and sound is working.

Comment 11 biAji 2010-03-19 01:05:03 UTC
(In reply to comment #10)
> I found a workaround.  I removed ~/.pulse.  Then logged in and sound is
> working.    

I ever tried this too, and not work for me.  So sad  .

Comment 12 Bug Zapper 2010-11-03 20:32:48 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-03 21:53:34 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.